Package org.kie.api.fluent

## Enum Dialect

- java.lang.Object
- - java.lang.Enum<Dialect>
  - - org.kie.api.fluent.Dialect

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Dialect>`

      public enum Dialect
      extends java.lang.Enum<Dialect>

  Supported programming languages for action scripts

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FEEL` |
    `JAVA` |
    `JAVASCRIPT` |
    `MVEL` |
    `XPATH` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Dialect` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Dialect[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA

          public static final Dialect JAVA

    - #### JAVASCRIPT

          public static final Dialect JAVASCRIPT

    - #### XPATH

          public static final Dialect XPATH

    - #### MVEL

          public static final Dialect MVEL

    - #### FEEL

          public static final Dialect FEEL

  - ### Method Detail

    - #### values

          public static Dialect[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Dialect c : Dialect.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Dialect valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null